Bug 1298429 - There is no __init__.py in python binding of z3 solver
There is no __init__.py in python binding of z3 solver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: z3 (Show other bugs)
23
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 00:06 EST by Haiyu Yang
Modified: 2016-01-30 13:22 EST (History)
1 user (show)

See Also:
Fixed In Version: z3-4.4.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-30 13:22:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haiyu Yang 2016-01-14 00:06:54 EST
Description of problem:
Can not import z3 module with default installation

Version-Release number of selected component (if applicable): Fedora release 23


How reproducible:


Steps to Reproduce:
1. install python-z3 and z3
2. open python shell, import z3, 
3.

Actual results:
No module named z3

Expected results:
successful import

Additional info:
I'm new to Fedora and I don't know if I find the right place to report. 
The installation dest of python-z3 is /usr/lib/python2.7/site-packages/z3. However, the z3 module does not have a __init__.py. AFAIS, it should be :a) copy all files into site-packages directory. b) have a __init__.py to make z3 directory a python module.
Comment 1 Fedora Update System 2016-01-20 23:42:37 EST
z3-4.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-54d73989f6
Comment 2 Fedora Update System 2016-01-21 23:56:54 EST
z3-4.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54d73989f6
Comment 3 Fedora Update System 2016-01-30 13:22:31 EST
z3-4.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.